This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 595659 - IndexError: list index out of range
IndexError: list index out of range
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Brian Lane
Martin Banas
anaconda_trace_hash:570cd0b6cb1c83a47...
:
Depends On:
Blocks: 582286
  Show dependency treegraph
 
Reported: 2010-05-25 06:13 EDT by Martin Banas
Modified: 2010-11-10 14:45 EST (History)
5 users (show)

See Also:
Fixed In Version: anaconda-13.21.51-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 635778 (view as bug list)
Environment:
Last Closed: 2010-11-10 14:45:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (370.06 KB, text/plain)
2010-05-25 06:13 EDT, Martin Banas
no flags Details
Attached traceback automatically from anaconda. (370.49 KB, text/plain)
2010-05-25 06:20 EDT, Martin Banas
no flags Details
Attached traceback automatically from anaconda. (328.81 KB, text/plain)
2010-05-25 06:30 EDT, Jan Stodola
no flags Details
Attached traceback automatically from anaconda. (172.61 KB, text/plain)
2010-06-01 06:13 EDT, Alexander Todorov
no flags Details
Attached traceback automatically from anaconda. (449.40 KB, text/plain)
2010-09-20 13:04 EDT, James Laska
no flags Details

  None (edit)
Description Martin Banas 2010-05-25 06:13:45 EDT
The following was filed automatically by anaconda:
anaconda 13.21.45 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/iw/examine_gui.py", line 122, in getScreen
    self.root = self.parts[0]
  File "/usr/lib/anaconda/gui.py", line 1415, in setScreen
    new_screen = self.currentWindow.getScreen(anaconda)
  File "/usr/lib/anaconda/gui.py", line 1327, in prevClicked
    self.setScreen ()
IndexError: list index out of range
Comment 1 Martin Banas 2010-05-25 06:13:48 EDT
Created attachment 416347 [details]
Attached traceback automatically from anaconda.
Comment 2 Martin Banas 2010-05-25 06:20:05 EDT
Created attachment 416348 [details]
Attached traceback automatically from anaconda.
Comment 4 Jan Stodola 2010-05-25 06:30:57 EDT
Created attachment 416352 [details]
Attached traceback automatically from anaconda.
Comment 5 Martin Banas 2010-05-25 06:35:10 EDT
Anaconda crashes when trying to go back to the first step of installation in VNC

Version of components:
RHEL6.0-20100523.0
anaconda-13.21.45-1.el6

How reproducible:
always

Steps to reproduce:
0. You must have RHEL6 installed on the disk, so you can see the ugprade dialog during the installation
1. Start VNC installation of RHEL6.0-20100523.0
2. When you're in stage2, click next until the partitioning dialog. Choose there "use existing partitioning layout" and select "review and modify partitioning layout"
3. Select disks you want to use and click next.
4. After you see the partitioning layout, click back until you get to the first welcome screen.

Result:
You can't go back to the first step, traceback is thrown in the time "upgrade screen" should be displayed.

Expected result:
User can go back to the first step

Additional info:
reproduced on PPC64, if I see it on other architecture, I'll update the bug.
Comment 6 Martin Banas 2010-05-25 06:37:12 EDT
Reproduced on s390x, changing to ALL
Comment 7 RHEL Product and Program Management 2010-05-25 06:56:19 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 8 Alexander Todorov 2010-06-01 06:13:10 EDT
Created attachment 418572 [details]
Attached traceback automatically from anaconda.
Comment 10 Martin Banas 2010-07-02 06:15:34 EDT
Verified on build RHEL6.0-20100701.0 with anaconda-13.21.56-1.el6
Comment 11 James Laska 2010-09-20 13:04:44 EDT
Created attachment 448515 [details]
Attached traceback automatically from anaconda.
Comment 12 releng-rhel@redhat.com 2010-11-10 14:45:27 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.